%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-FCGI-Client
Version:       0.09
Release:       1mamba
Summary:       FCGI::Client - client library for fastcgi protocol
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.cpan.org
Source:        https://cpan.metacpan.org/authors/id/T/TO/TOKUHIROM/FCGI-Client-%{version}.tar.gz
License:       GPL, Artistic
## AUTOBUILDREQ-BEGIN
BuildRequires: libperl
BuildRequires: perl-Moo
BuildRequires: perl-Type-Tiny
BuildRequires: perl-devel
## AUTOBUILDREQ-END
Requires:      perl >= %perl_major_ver

%description
FCGI::Client - client library for fastcgi protocol.

%prep
%setup -q -n FCGI-Client-%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build
./Build test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

export PERL_INSTALL_ROOT=%{buildroot}
./Build install \
   --install_path bindoc="%{_mandir}/man1" \
   --install_path libdoc="%{_mandir}/man3"

packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%{buildroot},,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm -f $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%files -f .packlist
%defattr(-,root,root)
%doc LICENSE

%changelog
* Fri Feb 03 2023 Silvan Calarco <silvan.calarco@mambasoft.it> 0.09-1mamba
- package created using the webbuild interface
